function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = true;
    DelayedExec(0.3, function()
        self.disable = false;
    end)
    
    self:FadeOut();
end

function GameScreen:OnKeyDown(key)
    if(self.disable) then return end
    
    if(key == VK_ENTER) then
        self:OnClick("player_exist_ok")
    end
end

function GameScreen:OnClick(item_name)
    if(self.disable) then return end
    
    if("player_exist_ok" == item_name)then
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn(0.5);
        if(self.end_fun) then self:end_fun() end
        
        DelayedExec(0.5, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "quit_back_trigger_exist", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("quit_back_trigger_exist", 0.85)
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "quit", "graphics/interface/menu/player_exist", 267, 456);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "player_exist_ok", "graphics/interface/menu/ok", 548, 734);
end
